#!/bin/sh
#
### BEGIN INIT INFO
# Provides:          xivo-websocketd
# Required-Start:    $local_fs $remote_fs $network $syslog
# Required-Stop:     $local_fs $remote_fs $network $syslog
# Should-Start:      rabbitmq-server xivo-auth
# Should-Stop:       rabbitmq-server xivo-auth
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Startup daemon script for xivo-websocketd
### END INIT INFO
#
set -e

PATH=/sbin:/bin:/usr/sbin:/usr/bin
USER=xivo-websocketd
GROUP=www-data
DAEMONNAME=xivo-websocketd
DAEMON=/usr/bin/$DAEMONNAME
PIDDIR=/var/run/$DAEMONNAME
PIDFILE=$PIDDIR/$DAEMONNAME.pid
XIVO_DEFAULT_FILE="/etc/default/xivo"

. /lib/lsb/init-functions

test -x $DAEMON || exit 0

is_enabled() {
    # Check if startup variable is set to 1, if not we exit.
    if [ -f $XIVO_DEFAULT_FILE ]; then
        . $XIVO_DEFAULT_FILE
        if [ "$startup" != "yes" ]; then
           echo "${name} startup is disabled in $XIVO_DEFAULT_FILE"
           exit 0
        fi
    fi
}

for dir in "$PIDDIR" ; do
    [ -d "$dir" ] || install -d -o "$USER" -g "$GROUP" "$dir"
done

case "$1" in
  start)
    is_enabled
    log_daemon_msg "Starting" "$DAEMONNAME"
    if start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON;
    then
        log_end_msg 0
    else
        log_end_msg 1
    fi
    ;;
  stop)
    log_daemon_msg "Stopping" "$DAEMONNAME"
    if start-stop-daemon --stop --quiet --oknodo --retry 5 --pidfile $PIDFILE;
    then
        log_end_msg 0
    else
        log_end_msg 1
    fi
    rm -f $PIDFILE
    ;;
  force-reload|restart)
    $0 stop
    $0 start
    ;;
  status)
    status_of_proc -p $PIDFILE $DAEMON "$DAEMONNAME" && exit 0 || exit $?
    ;;
  *)
    echo "Usage: $0 {start|stop|force-reload|restart|status}"
    exit 1
    ;;
esac

exit 0
